• Русский
  • HCSCluster [infrastructure.cluster.x-k8s.io/v1beta1]

    Description
    HCSCluster is the Schema for the hcsclusters API
    Type
    object
    Required
    spec

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    spec defines the desired state of HCSCluster

    statusobject

    status defines the observed state of HCSCluster

    .spec

    Description
    spec defines the desired state of HCSCluster
    Type
    object
    Required
    identityRefnetworknetworkType
    PropertyTypeDescription
    controlPlaneEndpointobject

    ControlPlaneEndpoint specifies the API endpoint where the control plane can be accessed.

    controlPlaneLoadBalancerobject
    identityRefobject

    IdentityRef is a reference to the identity used to provision the cluster.

    networkobject

    Network is the network configuration of the cluster.

    networkTypestring

    NetworkType is the network type of the cluster(kube-ovn only supported now).

    .spec.controlPlaneEndpoint

    Description
    ControlPlaneEndpoint specifies the API endpoint where the control plane can be accessed.
    Type
    object
    Required
    hostport
    PropertyTypeDescription
    hoststring

    host is the hostname on which the API server is serving.

    portinteger

    port is the port on which the API server is serving.

    .spec.controlPlaneLoadBalancer

    Type
    object
    PropertyTypeDescription
    elbVirsubnetL4Ipsarray
    elbVirsubnetL7Ipsarray
    idstring
    lisenersarray
    namestring

    Name represents the name of the load balancer as a pointer to a string, used for identification and optionally included in JSON output.

    poolsarray
    publicIpOptionobject

    PublicIpOption specifies configuration options for the public IP of the control plane load balancer, optional in JSON output.

    selectorstring

    Selector specifies a label query used to identify resources, represented as a pointer to a string, and is optional in JSON output.

    vipAddressstring
    vipDomainNamestring
    vipSubnetIdstring
    vipSubnetNamestring
    vpcIdstring

    VpcId is a pointer to a string that specifies the unique ID of the VPC, optionally included in JSON output.

    vpcNamestring

    VpcName is a pointer to a string representing the name of the VPC, optionally included in JSON output.

    .spec.controlPlaneLoadBalancer.elbVirsubnetL4Ips

    Type
    array

    .spec.controlPlaneLoadBalancer.elbVirsubnetL4Ips[]

    Type
    object
    PropertyTypeDescription
    ipsarray

    IPs is a list of IP addresses associated with the virtual subnet, serialized as a JSON array of strings and optional.

    subnetNamestring

    SubnetName is a pointer to a string that specifies the name of the subnet, optionally included in JSON output.

    .spec.controlPlaneLoadBalancer.elbVirsubnetL4Ips[].ips

    Description
    IPs is a list of IP addresses associated with the virtual subnet, serialized as a JSON array of strings and optional.
    Type
    array

    .spec.controlPlaneLoadBalancer.elbVirsubnetL4Ips[].ips[]

    Type
    string

    .spec.controlPlaneLoadBalancer.elbVirsubnetL7Ips

    Type
    array

    .spec.controlPlaneLoadBalancer.elbVirsubnetL7Ips[]

    Type
    object
    PropertyTypeDescription
    ipsarray

    IPs is a list of IP addresses associated with the virtual subnet, serialized as a JSON array of strings and optional.

    subnetNamestring

    SubnetName is a pointer to a string that specifies the name of the subnet, optionally included in JSON output.

    .spec.controlPlaneLoadBalancer.elbVirsubnetL7Ips[].ips

    Description
    IPs is a list of IP addresses associated with the virtual subnet, serialized as a JSON array of strings and optional.
    Type
    array

    .spec.controlPlaneLoadBalancer.elbVirsubnetL7Ips[].ips[]

    Type
    string

    .spec.controlPlaneLoadBalancer.liseners

    Type
    array

    .spec.controlPlaneLoadBalancer.liseners[]

    Type
    object
    PropertyTypeDescription
    idstring
    protocolPortinteger

    .spec.controlPlaneLoadBalancer.pools

    Type
    array

    .spec.controlPlaneLoadBalancer.pools[]

    Type
    object
    PropertyTypeDescription
    idstring
    protocolPortinteger

    .spec.controlPlaneLoadBalancer.publicIpOption

    Description
    PublicIpOption specifies configuration options for the public IP of the control plane load balancer, optional in JSON output.
    Type
    object
    Required
    ipVersionnetworkType
    PropertyTypeDescription
    ipVersionstring

    IpVersion represents the IP version of the public IP address as a pointer to a string, used for identification and optionally included in JSON output.

    networkTypestring

    NetworkType specifies the type of network configuration for the control plane load balancer, serialized as a JSON string.

    .spec.identityRef

    Description
    IdentityRef is a reference to the identity used to provision the cluster.
    Type
    object
    Required
    name
    PropertyTypeDescription
    namestring

    Name is the name of the identity secret to use.

    .spec.network

    Description
    Network is the network configuration of the cluster.
    Type
    object
    PropertyTypeDescription
    securityGroupobject

    SecurityGroups represents the security group configuration of the cluster, optional in JSON output.

    subnetsarray

    Subnets represents the subnet configuration of the cluster, optional in JSON output.

    vpcobject

    Vpc represents the VPC configuration of the cluster, optional in JSON output.

    .spec.network.securityGroup

    Description
    SecurityGroups represents the security group configuration of the cluster, optional in JSON output.
    Type
    object
    PropertyTypeDescription
    idstring

    ID represents the unique ID of the security group as a pointer to a string, used for identification and optionally included in JSON output.

    namestring

    Name represents the name of the security group as a pointer to a string, used for identification and optionally included in JSON output.

    .spec.network.subnets

    Description
    Subnets represents the subnet configuration of the cluster, optional in JSON output.
    Type
    array

    .spec.network.subnets[]

    Type
    object
    PropertyTypeDescription
    cidrstring

    Cidr represents the CIDR block of the subnet as a pointer to a string, used for identification and optionally included in JSON output.

    dhcpboolean

    DHCP represents the DHCP flag of the subnet as a pointer to a bool, used for identification and optionally included in JSON output.

    gatewayIpstring
    idstring
    managedboolean
    namestring

    Name represents the name of the subnet as a pointer to a string, used for identification and optionally included in JSON output.

    neutronSubnetIdstring
    primaryDNSstring

    PrimaryDNS represents the primary DNS of the subnet as a pointer to a string, used for identification and optionally included in JSON output.

    secondaryDNSstring

    SecondaryDNS represents the secondary DNS of the subnet as a pointer to a string, used for identification and optionally included in JSON output.

    .spec.network.vpc

    Description
    Vpc represents the VPC configuration of the cluster, optional in JSON output.
    Type
    object
    PropertyTypeDescription
    cidrstring

    Cidr specifies the CIDR block of the VPC as a pointer to a string, used for identification and optionally included in JSON output.

    externalGatewayInfoobject

    ExternalGatewayInfo specifies the external gateway information of the VPC as a pointer to a ExternalGatewayConfig struct, used for identification and optionally included in JSON output.

    idstring

    ID specifies the unique ID of the VPC as a pointer to a string, used for identification and optionally included in JSON output.

    managedboolean

    Managed represents the managed flag of the VPC as a pointer to a bool, used for identification and optionally included in JSON output.

    namestring

    Name specifies the name of the VPC as a pointer to a string, used for identification and optionally included in JSON output.

    .spec.network.vpc.externalGatewayInfo

    Description
    ExternalGatewayInfo specifies the external gateway information of the VPC as a pointer to a ExternalGatewayConfig struct, used for identification and optionally included in JSON output.
    Type
    object
    PropertyTypeDescription
    networkIdstring

    NetworkId represents the id of the network as a pointer to a string, optionally included in JSON serialization.

    networkNamestring

    NetworkName represents the name of the network as a pointer to a string, optionally included in JSON serialization.

    .status

    Description
    status defines the observed state of HCSCluster
    Type
    object
    PropertyTypeDescription
    conditionsarray

    Conditions defines current service state of the cluster.

    readyboolean

    Ready indicates whether the cluster is in a ready state. It is an optional field that can be nil.

    .status.conditions

    Description
    Conditions defines current service state of the cluster.
    Type
    array

    .status.conditions[]

    Description
    Condition defines an observation of a Cluster API resource operational state.
    Type
    object
    Required
    lastTransitionTimestatustype
    PropertyTypeDescription
    lastTransitionTimestring

    lastTransitionTime is the last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

    messagestring

    message is a human readable message indicating details about the transition. This field may be empty.

    reasonstring

    reason is the reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may be empty.

    severitystring

    severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

    statusstring

    status of the condition, one of True, False, Unknown.

    typestring

    type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

    API Endpoints

    The following API endpoints are available:

    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsclusters
      • DELETE: delete collection of HCSCluster
      • GET: list objects of kind HCSCluster
      • POST: create a new HCSCluster
    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsclusters/{name}
      • DELETE: delete the specified HCSCluster
      • GET: read the specified HCSCluster
      • PATCH: partially update the specified HCSCluster
      • PUT: replace the specified HCSCluster
    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsclusters/{name}/status
      • GET: read status of the specified HCSCluster
      • PATCH: partially update status of the specified HCSCluster
      • PUT: replace status of the specified HCSCluster

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsclusters

    HTTP method
    DELETE
    Description
    delete collection of HCSCluster
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind HCSCluster
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSClusterList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new HCSCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyHCSCluster schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSCluster schema
    201 - CreatedHCSCluster schema
    202 - AcceptedHCSCluster schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsclusters/{name}

    HTTP method
    DELETE
    Description
    delete the specified HCSCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified HCSCluster
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSCluster schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified HCSCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSCluster schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified HCSCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyHCSCluster schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSCluster schema
    201 - CreatedHCSCluster schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsclusters/{name}/status

    HTTP method
    GET
    Description
    read status of the specified HCSCluster
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSCluster schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified HCSCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSCluster schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified HCSCluster
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyHCSCluster schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSCluster schema
    201 - CreatedHCSCluster schema
    401 - UnauthorizedEmpty